<?php
session_start();
include("../param.inc");

/**
 *      全員の回答を表示
 *	@param $path 回答保存フォルダ
 */
function print_allscore($path) {
	$n = count($_SESSION['no']);   //  ユーザ数
	$data = NULL;
	for ($i=0; $i<$n; $i++) {
		$scorefile = "$path/" . $_SESSION['uid'][$i];
		if (file_exists($scorefile)) {
			$fp = fopen($scorefile, "r");
			while ($tmp = fgets($fp, 4096)) $data[] = $tmp;  // 回答を取り込む
			fclose($fp);
		}
	}
	$n = count($data);
	if ($n > 0) {  // 回答があれば
		// 回答を表示 
		print("<TABLE border=1><TR><TH>No.</TH><TH>Name</TH><TH>Date answered</TH>\n");
		$val = explode(",", $data[0]); // カンマで分割
		$j = count($val);
		for ($i=3; $i < $j-1; $i++)  // 質問番号を出力
		print("<TH>" . ($i-2) . "</TH>");
		for ($i = 0; $i < $n; $i++) {
			$val = explode(",", $data[$i]); // カンマで分割
			print("<TR><TD align='center'>$val[0]</TD><TD>$val[1]</TD><TD align='center'>$val[2]</TD>\n");
			for ($k = 3; $k< $j-1; $k++)
			print("<TD align='center'>" . $val[$k] . "</TD>");  // 生徒の回答
			print("</TR>\n");
		}
		print("</TABLE>\n");
	} else print_error("No survey answer.");
	return $n;
}

print_header("Survey");
if (!isset($_SESSION['id']) || ($_SESSION['id'] == "")) { // ログインしていない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('Please login first.');");
	print("</SCRIPT>");
	print("<CENTER><A href='../main/index.php'>To login page</A></CENTER>");
} else if ($_SESSION['admin']==0) { // 管理者でない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('You are not an administrator.');");
	print("</SCRIPT>");
} else {
	print_headline("Move survey answer file");
	?>

Survey answer file will be moved from doc directory to a? after the deadline.
<HR>
<FORM method="POST" action="result_move.php">
<CENTER><?php
if (isset($_POST['save'])) { // 移動ボタンが押されたら
	$i = 1;
	while(is_dir("a" . $i)) $i++;
	rename("doc", "a" . $i);  // ディレクトリ名の変更
	//      $result = exec("mv doc a" . $i);
	//     umask(0);
	//     mkdir("doc", 0707);
	print_message("Moving completed");
	print('<A href="result_admin.php">Please check the information</A>');
} else {
	$i = 1;
	while(file_exists("a" . $i)) $i++;
	print_title1("Survey answer no. $i");
	$n =  print_allscore("doc");
	if ($n > 0) print('<BR><INPUT type="submit" value="Move" name="save">');
}
?></CENTER>
</FORM>
<?php
} print_copyright();
?>

</BODY>
</HTML>
