<?php
session_start();
include("../param.inc");
include("quiz.inc");
$start_n = 0;  ///////////問題開始番号
$mPath = "doc/";
$mFile = $mPath . "quiz.csv";    // 問題ファイル

print_header("Quiz");
if (!isset($_SESSION['id']) || ($_SESSION['id'] == "")) { // ログインしていない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('Please login first.');");
	print("</SCRIPT>");
	print("<CENTER><A href='../main/index.php'>To login page</A></CENTER>");
} else {
    // 全問題（quiz.csv）の読み込み
	$mondai = file($mFile);  // 配列 $mondaiに読み込み
	$n = count($mondai);  // 問題数
	// 個人データの出題順をCSVで読み込み
	$fp = fopen("doc/" . $_SESSION['id'] . ".idx", "r");
	$mondai_idx = fgetcsv($fp);
	fclose($fp);
	// 回答ファイルが存在すれば
	if (file_exists("doc/" . $_SESSION['id'])){
	    $start_n = $pcount * count(file("doc/" . $_SESSION['id'])); //問題の開始番号
	} else $start_n = 0;
	
	//   print_headline("答え合せ");

	print("<CENTER>"); // センタリング

	$i = 1;
	while(file_exists("q" . $i)) $i++;
	print_title1("Quiz no. $i");
	//  課題説明の表示
	print_problem($mPath . "problem.txt");

	$stime = $_SESSION['sTime'];    // 開始時刻
	$etime = time();                // 終了時刻
	$atime = $etime-$stime;         // 解答時間

	$s = 0;
	$nop = 0;
	$s_ans = ",";      // 生徒の解答と正誤判定

	print("<TABLE border=1>");
	for ($i=$start_n ; $i < $n && $i < $start_n + $pcount ; $i++) {
		$tmp = chop($mondai[$mondai_idx[$i]]);
		if ($tmp != "") {
			$data = explode(",", $tmp);
			$nop = $nop + 1;   // 問題数
			$no = $data[0];        // 問題番号
			$pic = $data[1];   // 図
			$kei = $data[2];    // 問題形式
			$quiz = exp_change($data[3]);   // 問題文
			$kai = exp_change($data[4]);    // 解説
			$ans = $data[5];    // 正解

			print("<TR><TH colspan=2 bgcolor='BLUE'><FONT COLOR='WHITE'>No: " . ($i+1) . "</FONT></TH></TR>");
			print("<TR><TH nowrap>Question</TH><TD width='600'>$quiz");
			if (($pic != "") && (file_exists($mPath . $pic))) //  図の表示
			print("<BR><IMG src='" . $mPath . $pic . "'>");
			print("</TD></TR>\n");
			$s_ans = $s_ans . "$no,";  /////  問題番号を記録
			// 選択問題
			if($kei == "s"){
				print("<TR><TH nowrap>Choice</TH><TD>");
				$select_num = count($data)-6;  // 選択肢の数
				for ($j=1; $j<=$select_num; $j++)
				if ($data[$j+5] != "") print("【" . $j . "】　" . exp_change($data[$j+5]) . "<BR>");
				print("</TD><TR><TH nowrap>Answer</TH><TD>");
				if(isset($_POST["chose$no"])) {  // 解答あり
					print("【" . $_POST["chose$no"] . "】</TD></TR><TR><TH nowrap>Judgement</TH><TD>");
					$s_ans = $s_ans . "【" . $_POST["chose$no"] . "】";
					if ($_POST["chose$no"] == $ans){
						print('<FONT color="BLUE">○</FONT>');
						$s_ans = $s_ans . ",○";
						$s = $s + 1;
					} else {
						print('<FONT color="RED">×</FONT>');
						$s_ans = $s_ans . ",×";
					}
				} else { // 解答なし
					print('</TD></TR><TR><TH nowrap>Judgement</TH><TD><FONT color="RED">×</FONT>');
					$s_ans = $s_ans . ",×";
				}
			}
			// 複数選択問題
			if ($kei == "h"){
				print("<TR><TH nowrap>Choice</TH><TD>");
				$select_num = count($data)-6;  // 選択肢の数
				for ($j=1; $j<=$select_num; $j++)
				if ($data[$j+5] != "") print("【" . $j . "】" . exp_change($data[$j+5]) . "<BR>");
				print("</TD><TR><TH nowrap>Answer</TH><TD>");
				$num = 0;
				for ($j=1; $j<=$select_num; $j++)
				if (isset($_POST["chose$no-$j"])) { // 解答あり
					print("【" . $j . "】");
					$s_ans = $s_ans . "【" . $j. "】";
					$num = $num + $_POST["chose$no-$j"];
				}
				if ($num > 0) {  // 解答あり
					print("</TD></TR><TR><TH nowrap>Judgement</TH><TD>");
					if ($num == $ans) {
						print('<FONT color="BLUE">○</FONT>');
						$s_ans = $s_ans . ",○";
						$s = $s + 1;
					} else {
						print('<FONT color="RED">×</FONT>');
						$s_ans = $s_ans . ",×";
					}
				} else { // 解答なし
					print('</TD></TR><TR><TH nowrap>Judgement</TH><TD><FONT color="RED">×</FONT>');
					$s_ans = $s_ans . ",×";
				}
			}
			// 記述問題
			if ($kei == "k") {
				print("<TR><TH nowrap>Answer</TH><TD>");
				if ($_POST["write$no"] != "") {   // 解答あり
					$tmp = str_replace(",","，",jcode_convert($_POST["write$no"]));
					print($tmp . "</TD></TR><TR><TH nowrap>Judgement</TH><TD>");
					$s_ans = $s_ans . $tmp;
					if (jcode_convert($_POST["write$no"]) == $ans){
						print('<FONT color="BLUE">○</FONT>');
						$s_ans = $s_ans . ",○";
						$s = $s + 1;
					} else {
						print('<FONT color="RED">×</FONT>');
						$s_ans = $s_ans . ",×";
					}
				} else { // 解答なし
					print('</TD></TR><TR><TH nowrap>Judgement</TH><TD><FONT color="RED">×</FONT>');
					$s_ans = $s_ans . ",×";
				}
			}
			// yes-no問題
			if ($kei == "n") {
				print("<TR><TH nowrap>Choice</TH><TD>");
				print("Correct (y), Incorrect (n)</TD></TR>\n");
				print("<TR><TH nowrap>Answer</TH><TD>");
				if (isset($_POST["yn$no"])) {  // 解答あり
					print($_POST["yn$no"] . "</TD></TR><TR><TH nowrap>Judgement</TH><TD>");
					$s_ans = $s_ans . $_POST["yn$no"];
					if ($_POST["yn$no"] == $ans){
						print('<FONT color="BLUE">○</FONT>');
						$s_ans = $s_ans . ",○";
						$s = $s + 1;
					} else {
						print('<FONT color="RED">×</FONT>');
						$s_ans = $s_ans . ",×";
					}
				} else { // 解答なし
					print('</TD></TR><TR><TH nowrap>Judgement</TH><TD><FONT color="RED">×</FONT>');
					$s_ans = $s_ans . ",×";
				}
			}
			$s_ans = $s_ans . ",";

			print("</TD></TR>\n");
			print("<TR><TH nowrap>Explanation</TH><TD>$kai</TD></TR>\n");
		}
	}
	print("</TABLE>\n");

	//  成績の表示と保存
	print_title2("Record");
	print("Answer time  ".$atime."second(s)<BR>\n");
	print("Score : " . $s . " of " . $nop . "  questions.<BR>\n");
	$date = date('Y/m/d(H:i)');
	// 番号 氏名 得点
	$contents = $_SESSION['no_id'][$_SESSION["id"]] . "," . $_SESSION["user"] . "," . $s;
	//                           問題数      日時     解答時間　回答
	$contents = $contents . "," . $nop . ",".$date.",".$atime . $s_ans . "\n";
	$scorefile = "doc/" . $_SESSION["id"];
	if (file_exists($scorefile))   // すでにスコアファイルがあれば
	$file = fopen($scorefile,"a");  // 追記
	else                                 // なければ新規に書き込み
	$file = fopen($scorefile,"w");
	fputs($file,$contents);
	fclose($file);

	print("</CENTER>");
} print_copyright();
?>
</BODY>
</HTML>
