<?php
include("quiz.inc");
/**
 *	全員の成績を表示
 *	@param $path 回答保存フォルダ
 */
function print_allscore($path) {
    global $pcount;

	$n = count($_SESSION['no']);   //  ユーザ数
	$data = array();
	for ($i=0; $i<$n; $i++) {
		$scorefile = "$path/" . $_SESSION['uid'][$i];
		if (file_exists($scorefile)) {
			$fp = fopen($scorefile, "r");
			while ($tmp = fgets($fp, 4096)) $data[] = $tmp;  // 成績を取り込む
			fclose($fp);
		}
	}
	$n = count($data);
	if ($n > 0) {  // 成績があれば
		usort($data, "sort_by_no");  // 出席番号順にソート
		// 成績表を表示 
		print("<TABLE border=1><TR><TH>No.</TH><TH>Name</TH><TH>Score</TH><TH>Questions</TH><TH>Date answered</TH><TH>Time used (s)</TH><TH>Quiz number</TH>\n");
		$val = explode(",", $data[0]); // カンマで分割
//		$j = count($val);
//		for ($i=1; $i < ($j-6)/3; $i++)  // 問題番号を出力
		for ($i=1; $i <= $pcount; $i++)
		print("<TH>" . $i . "</TH>");
		print("</TR>\n");
		for ($i = 0; $i < $n; $i++) {
			$val = explode(",", $data[$i]); // カンマで分割
			print("<TR><TD align='center'>$val[0]</TD><TD>$val[1]</TD><TD align='center'>$val[2]</TD><TD align='center'>$val[3]</TD><TD>$val[4]</TD><TD align='right'>$val[5]</TD>");
			print("<TD align='center'>Question no.<BR>Answer<BR>Judgement</TD>");
			$j = count($val);  // 最終小テストの半端な問題数に対応
			for ($k = 6; $k< $j-1; $k=$k+3) {
				print("<TD align='center'>" . $val[$k] . "<BR>" . $val[$k+1]);  // 問題番号，生徒の解答
				if ($val[$k+2] == "○") // 正解
				print("<BR><FONT color='BLUE'>○</FONT></TD>");
				else                    // 間違い
				print("<BR><FONT color='RED'>×</FONT></TD>");
			}
			print("</TR>\n");
		}
		print("</TABLE>\n");

		if (isset($_POST[$path . 'save'])) {  // 保存ボタンが押されたら
			$fp = fopen($path . "/tmp.csv", "w");
			$header = "No. , Name, Score, Questions, Date answered, Time used (s)";
			$val = explode(",", $data[0]); // カンマで分割
//			$j = count($val);
//			for ($i=1; $i < ($j-6)/3; $i++)  // 問題番号を出力
			for ($i=1; $i <= $pcount; $i++)
			$header = $header . $i . ",,,";
			$header = $header . "\n";
			fputs($fp, mb_convert_encoding($header,"SJIS","auto"));
			for ($i = 0; $i<$n; $i++)
			fputs($fp, mb_convert_encoding($data[$i],"SJIS","auto"));
			fclose($fp);
			unset($_SESSION['past']);
			print('<DIV align="right">Download：<A href="' .$path . '/tmp.csv">Score file</A></DIV>' . "\n");
		} else
		print('<DIV align="right"><input type="submit" value="Save score file to .csv File" name="' . $path .'save"></DIV>');
	} else print_error("No score record.");
}
?>
