<?php
$dFile = "daily.csv";

/**
 *	日付順にソート
 *	@param $val1  データ1
 *	@param $val2  データ2
 *	@return 比較結果（1,0,-1）
*/
function sort_by_date($val1, $val2) {
	$v1 = explode(",", $val1);
	$v2 = explode(",", $val2);
	if ($v1[0] < 4) $v1[0] = $v1[0]+12;
	if ($v2[0] < 4) $v2[0] = $v2[0]+12;
	if ($v1[0] > $v2[0]) return 1;
	else if ($v1[0] == $v2[0]) {
		if ($v1[1] > $v2[1]) return 1;
		else if ($v1[1] == $v2[1]) return 0;
		else return -1;
	} else return -1;
}

/**
 *	講義日誌の表示
 *	@param $mFile  日誌ファイル名
 *	@param $rm_on  削除ボタン 1:表示 0:非表示 
 *	@return 講義回数
*/
function daily_view($mFile, $rm_on) {
	$nop = 0;

	if (!file_exists($mFile)) print_error("No journal available.");
	else {
		$m = NULL;  // 削除されたかも知れないので読み直し
		$m = file($mFile);
		$n = count($m);
		if ($n == 0) print_error("No journal available.");
		else {
			usort($m, "sort_by_date"); // 日付順にソート
			print("<TABLE border=1>");
			print("<TR><TH>No.</TH><TH>Month</TH><TH>Date</TH><TH width='500'>Content</TH><TH width=50>Remarks</TH></TR>");
			for ($i = 0; $i < $n; $i++) {
				$tmp = chop($m[$i]);  // 行末の改行文字を取り除く
				$data = NULL;
				$data = explode(",", $tmp);
				$nop = $nop+1;        // 番号
				print("<TR><TH>$nop");
				if ($rm_on == 1) // 削除ボタン表示
				print('<INPUT type="submit" value="Delete" name="del' . ($nop - 1) . '">');
				print("</TH><TD>$data[0]</TD><TD>$data[1]</TD><TD width='500'>$data[2]</TD><TD>$data[3]</TD></TR>");
			}
			print("</TABLE>\n");
		}
		return $nop;  // 講義回数を返す
	}
}
?>
