<?php
session_start();
include("../param.inc");
include("glossary.inc");
print_header("Glossary");
if (!isset($_SESSION['id']) || ($_SESSION['id'] == "")) { // ログインしていない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('Please login first.');");
	print("</SCRIPT>");
	print("<CENTER><A href='../main/index.php'>To login page</A></CENTER>");
} else {
	print_headline("Glossary");
	?>

<FORM method="POST" action="glossary.php">
<CENTER><?php

// 新規用語入力エリア表示
new_word_area();

// 用語の書込み
$d = NULL;
if (isset($_POST['write'])) {
	unset($_POST['write']);
	if (($_POST['word'] != "") && ($_POST['mean'] != "")) {
		$d[] = date("Y/m/d(D)H:i:s");
		$d[]=  jcode_convert($_POST['xname']);
		$tmp = jcode_convert($_POST['word']);
		$d[] = str_replace(",", "，", $tmp);  // カンマを全角に置換
		$tmp = jcode_convert($_POST['mean']);
		$d[] = str_replace(",", "，", $tmp);
		if (isset($_SESSION['w']) && ($_SESSION['w'] == $d[2]) && ($_SESSION['m'] == $d[3]))
		print_error("Double registration is not allowed");
		else {
			// msg = 日時,名前,用語,意味,
			if (file_exists($gFile)) $file=fopen($gFile,"a");
			else $file=fopen($gFile,"w");
			if (flock($file, LOCK_EX)) {   // ロック成功	
				$tmp = $d[0];
				for ($i = 1; $i < count($d); $i++)
				$tmp = $tmp . "," . $d[$i];
				$msg = ret_replace($tmp) . "\n";  // 改行を<BR>タグに置換
				fwrite($file,$msg);
				flock($file, LOCK_UN);  // ロック解除
				fclose($file);
				$_SESSION['w'] = $d[2];  // 2重書き込み防止のため
				$_SESSION['m'] = $d[3];  // タイトルとメッセージを記憶
			} else print_error("Cannot write. Please wait for a moment and try again.");
		}
	}
}
//  用語集の表示
print_title2("Glossary");
if (!file_exists($gFile))
print_error("No words written.");
else {
	words_view(0);  // 削除なしでログ表示
}
print("</CENTER>");
print("</FORM>");
} print_copyright();
?>
</BODY>
</HTML>
