<?php
//  簡易e-ラーニングシステム EL（エル）
//
//             詫間電波工業高等専門学校 情報工学科 宮武明義
//
//      quiz    小テスト
//      report  レポート提出
//
//    LDAPまはた非LDAPによるログインに対応

ob_start();
session_start();   // セッション開始
// セッション変数  id ユーザID, user ユーザ名, admin 管理者1
if (!isset($_SESSION['id'])) $_SESSION['id'] = "";
if (!isset($_SESSION['user'])) $_SESSION['user'] = "";
if (!isset($_SESSION['admin'])) $_SESSION['admin'] = -1;

include("../param.inc");
read_users_info();  // 学生情報の読み込み
?>
<HTML>
<HEAD>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE><?php echo $Title; ?> - Login</TITLE>
</HEAD>
<BODY onLoad="document.form1.id.focus()">
<?php
if (isset($_POST['logout'])) {  // ログアウトすれば
   $_SESSION['id'] = "";
   $_SESSION['user'] = "";
   $_SESSION['admin'] = -1;
}
print_headline_top("Login");
?>

<FORM method="POST" action="index.php" name="form1">
<TABLE border="0" align="center">
   <TR>
      <TH align="right">Username：</TH>
      <TD><INPUT type="text" name="id" size="20" tabindex="1" /></TD>
   </TR>
   <TR>
      <TH align="right">Password：</TH>
      <TD><INPUT type="password" name="pass" size="20" tabindex="2" /></TD>
   </TR>
   <TR>
      <TD colspan="2" align="center"><INPUT type="submit" name="sbm"
         value="Login" tabindex="3" /> <INPUT type="reset" value="Cancel"
         tabindex="4" /> <?php
         if ($ldap_on == 0)  // LDAP 認証でなければ
         println("<A href='changepasswd.php'>Register / Change password</A>");
         ?></TD>
   </TR>
</TABLE>
</FORM>

         <?php

         if ($ldap_on == 1) {  // LDAP 認証
            if (isset($_POST['sbm'])){      //$_POST['sbm']がセットされている場合
               if (($_POST['id'] != "") && ($_POST['pass'] != "")) {
                  $ld = ldap_connect($LDAP_SERVER, 389);
                  if ($ld) {
                     print("<HR>Connected to LDAP server.<BR>");
                     ldap_set_option($ld, LDAP_OPT_PROTOCOL_VERSION, 3);
                     ldap_bind($ld);
                     $n = $_POST['id']; $p = $_POST['pass'];
                     $sres=ldap_search($ld, $LDAP_BASE_DN, "uid=$n");
                     $count=ldap_count_entries($ld, $sres);
                     if ($count==0) {
                        print("<p>Information not found.</p>");
                     } else {
                        $info=ldap_first_entry($ld, $sres);
                        $dn=ldap_get_dn($ld, $info);
                        if (@ldap_bind($ld, $dn, $p)) { // パスワードが一致していれば
                           if (($no = is_student($_POST['id'])) != 0) { // 登録学生なら
                              $_SESSION['id']=$_POST['id'];          // セッション変数に代入
                              $_SESSION['user'] = $_SESSION['uname_id'][$_POST['id']];
                              print("Authentication success");
                              if ($no>0) { // 学生
                                 $_SESSION['admin'] = 0;          // 学習者の確認用
                                 header("Location: student.php");           //学生用ページへ飛ばす
                              } else {      // 管理者
                                 $_SESSION['admin'] = 1;          // 管理者の確認用
                                 header("Location: admin.php");   // 管理者ページへ
                              }
                           } else {
                              print_error("Incorrect password.");
                           }
                        } else print_error("Authentication failure.");
                     }
                  }
               } else print_error("No username or password input.");
            }
         } else {
            if (isset($_POST['sbm'])){      //$_POST['sbm']がセットされている場合
               if (($_POST['id'] != "") && ($_POST['pass'] != "")) {
                  if (($no = is_student($_POST['id'])) != 0) { // 登録学生なら
                     if (file_exists($passdir . $_POST['id'])) { // 現在パスワードが設定されている
                        $file = fopen($passdir . $_POST['id'], "r");
                        $pass = fgets($file,50);
                        fclose($file);
                        if ($pass == md5($_POST['pass'])) { // 現在のパスワードが等しいとき
                           $_SESSION['id']=$_POST['id'];          // セッション変数に代入
                           $_SESSION['user'] = $_SESSION['uname_id'][$_POST['id']];
                           print("Authentication success.");
                           if ($no>0) { // 学生
                              $_SESSION['admin'] = 0;          // 学習者の確認用
                              header("Location: student.php");           //学生用ページへ飛ばす
                           } else {      // 管理者
                              $_SESSION['admin'] = 1;          // 管理者の確認用
                              header("Location: admin.php");   // 管理者ページへ
                           }
                        } else {
                           print_error("Incorrect password.");
                        }
                     } else {  // 新規パスワード設定
                        print_error("Password is not set.<BR>");
                        print_error("Please set a new password from Register / Change password menu.");
                     }
                  } else { print_error("Incorrect username."); }
               } else print_error("No username or password input.");
            }
         } print_copyright();
         print("</BODY></HTML>");

         ob_end_flush();
         ?>