<?php
session_start();
include("../param.inc");

/**
 *      全員の成績を表示
 *	@param $path 成績保存フォルダ
 */
function print_allscore($path) {
	$n = count($_SESSION['no']);   //  ユーザ数
	$data = array();
	for ($i=0; $i<$n; $i++) {
		$scorefile = "$path/" . $_SESSION['uid'][$i];
		if (file_exists($scorefile)) {
			$fp = fopen($scorefile, "r");
			while ($tmp = fgets($fp, 4096)) $data[] = $tmp;  // 成績を取り込む
			fclose($fp);
		}
	}
	$n = count($data);
	if ($n > 0) {  // 成績があれば
		// 成績表を表示 
		print("<TABLE border=1><TR><TH>No.</TH><TH>Name</TH><TH>Score</TH><TH>Questions</TH><TH>Date answered</TH><TH>Time used (s)</TH>\n");
		$val = explode(",", $data[0]); // カンマで分割
		$j = count($val);
		for ($i=6; $i < $j-1; $i=$i+2)  // 問題番号を出力
		print("<TH>" . ($i-4)/2 . "</TH>");
		print("</TR>\n");
		for ($i = 0; $i < $n; $i++) {
			$val = explode(",", $data[$i]); // カンマで分割
			print("<TR><TD align='center'>$val[0]</TD><TD>$val[1]</TD><TD align='center'>$val[2]</TD><TD align='center'>$val[3]</TD><TD>$val[4]</TD><TD align='right'>$val[5]</TD>");
			for ($k = 6; $k< $j-1; $k=$k+2) {
				print("<TD align='center'>" . $val[$k]);  // 生徒の解答
				if ($val[$k+1] == "○") // 正解
				print("<BR><FONT color='BLUE'>○</FONT></TD>");
				else                    // 間違い
				print("<BR><FONT color='RED'>×</FONT></TD>");
			}
			print("</TR>\n");
		}
		print("</TABLE>\n");
	} else print_error("No score record.");
	return $n;
}

print_header("Quiz");
if (!isset($_SESSION['id']) || ($_SESSION['id'] == "")) { // ログインしていない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('Please login first.');");
	print("</SCRIPT>");
	print("<CENTER><A href='../main/index.php'>To login page</A></CENTER>");
} else if ($_SESSION['admin']==0) { // 管理者でない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('You are not an administrator.');");
	print("</SCRIPT>");
} else {
	print_headline("Move score file");
	?>

Quiz score file will be moved from doc directory to q? after the deadline.
<HR>
<FORM method="POST" action="score_move.php">
<CENTER><?php

if (isset($_POST['save'])) { // 移動ボタンが押されたら
	$i = 1;
	while(is_dir("q" . $i)) $i++;
	rename("doc", "q" . $i);  // ディレクト名の変更
	//      $result = exec("mv doc q" . $i);
	//     umask(0);
	//     mkdir("doc", 0707);
	print('<A href="score_admin.php">Please check the information</A>');
} else {
	$i = 1;
	while(file_exists("q" . $i)) $i++;
	print_title1("Score of quiz no. $i");
	$n =  print_allscore("doc");
	if ($n > 0) print('<BR><INPUT type="submit" value="Move" name="save">');
}
?></CENTER>
</FORM>
<?php
} print_copyright();
?>

</BODY>
</HTML>
