<?php
//  管理者用 環境設定
session_start();
include("../param.inc");
include("init.php");

/**
 *	パラメータの表示
 */
function print_param() { // 設定値の表示
	print("<TABLE border='1'>");
	print('<TR><TH colspan="2">Quiz</TH></TR><TD colspan="2">');
		switch($_SESSION['quiz_MODE']) {
			case 1:
				print("<FONT color='BLUE'>Text only</FONT>"); break;
			case 2:
				print("<FONT color='BLUE'>Text and figures only</FONT>"); break;
			case 3:
				print("<FONT color='BLUE'>Text, figures and math formulas</FONT>"); break;
		}
		print("  : enable</TD></TR><TR>");
		print("<TD>Max choices : </TD><TD><STRONG>" . $_SESSION['quiz_MAX_ALT'] . "</STRONG> choices</TD></TR>");
	print("</TABLE>");
}

print_header("Management");
if (!isset($_SESSION['id']) || ($_SESSION['id'] == "")) { // ログインしていない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('Please login first.');");
	print("</SCRIPT>");
} else if ($_SESSION['admin']==0) { // 管理者でない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('You are not an administrator.');");
	print("</SCRIPT>");
} else {
	print_headline("Environmental settings");
	print('<FORM method="POST" action="setup.php">');
	print("<CENTER>"); // センタリング
	print_title1("Settings");


	if (!isset($_POST['write'])) {  // 初期値設定
		$_SESSION['quiz_MODE']=$quiz_MODE;
		$_SESSION['quiz_MAX_ALT']=$quiz_MAX_ALT;
	}
	if (!isset($_POST['write']) || (jcode_convert($_POST['write']) == "Fix")) {
	print('<TABLE BORDER="1">');
	print('<TR><TH colspan="2">Quiz</TH></TR>');
	print('<TR><TD colspan="2"><INPUT type="radio" name="quiz_MODE" value="1" ');
	if ($_SESSION['quiz_MODE'] == 1) print('CHECKED');
	print('>Allow text only<BR><INPUT type="radio" name="quiz_MODE" value="2" ');
	if ($_SESSION['quiz_MODE'] == 2) print('CHECKED');
	print('>Allow text and figures only<BR><INPUT type="radio" name="quiz_MODE" value="3" ');
	if ($_SESSION['quiz_MODE'] == 3) print('CHECKED');
	print('>Allow text, figures and math formulas</TD></TR>');
	print('<TR><TD>Max choices ： </TD><TD><INPUT type="text" name="MAX_ALTS" size="2" value="' . $_SESSION['quiz_MAX_ALT'] . '"> choices</TD></TR>');
	print('</TABLE>');
	print('<INPUT type="submit" name="write" value="Confirm">');
	print('<INPUT type="submit" name="reset" value="Reset">');
	} else if (jcode_convert($_POST['write']) == "Confirm") {
		print_message("Please check the changed settings below.");
		$_SESSION['quiz_MODE']=$_POST['quiz_MODE'];
		$_SESSION['quiz_MAX_ALT']=$_POST['MAX_ALTS'];
		print_param();   // 設定内容の表示
		print('<INPUT type="submit" name="write" value="Save">');
		print('<INPUT type="submit" name="write" value="Fix">');
		print('<INPUT type="submit" name="reset" value="Reset">');
	} else { // 保存
		$fp = fopen($iniFile, "w");
		fwrite($fp, "<?php\n");
		fwrite($fp, '$quiz_MODE = ' . $_SESSION['quiz_MODE'] . ";\n"); // 小テスト 1:文字，2:文字と図, 3:文字，図，数式
		fwrite($fp, '$quiz_MAX_ALT = ' . $_SESSION['quiz_MAX_ALT'] . ";\n");  // 選択形式の選択肢の最大数
		fwrite($fp, "?>\n");
		fclose($fp);
		print_message('Saved changes. Please logout to take effect.');
		print_param(); // 設定内容の表示
	}
	?>
	</CENTER>
	</FORM>
	<?php
} print_copyright();
?>
	</BODY>
	</HTML>