﻿<?php
//  管理者用 環境設定
session_start();
include("../param.inc");
include("repo.inc");

/**
 *	パラメータの表示
 */
function print_param() { // 設定値の表示
	print("<TABLE border='1'>");
	print('<TR><TH colspan="2">Report</TH></TR>');
		print("<TR><TD>File size limit：</TD><TD><STRONG>" . $_SESSION['report_plus_MAX_FILESIZE'] . "</STRONG>kB</TD></TR>");
		print("<TR><TD>File amount you can upload for each time：</TD><TD><STRONG>" . $_SESSION['report_plus_MAX_FILES'] . "</STRONG> file(s)</TD></TR>");
		print('<TR><TD>Comment：</TD><TD>');
		if ($_SESSION['report_plus_COMMENT_ON'] == "1") print('<FONT color="BLUE">Use</FONT></TD></TR>');
		else print('<FONT color="RED">Do not use</FONT></TD></TR>');
		print('<TR><TD>Show report marks：</TD><TD>');
		if ($_SESSION['report_plus_SCORE_ON'] == "1") print('<FONT color="BLUE">Use</FONT></TD></TR>');
		else print('<FONT color="RED">Do not use</FONT></TD></TR>');
		print('<TR><TD>Show lecture note marks：</TD><TD>');
		if ($_SESSION['report_plus_NOTESCORE_ON'] == "1") print('<FONT color="BLUE">Use</FONT></TD></TR>');
		else print('<FONT color="RED">Do not use</FONT></TD></TR>');
		print("<TR><TD>Language：</TD><TD><STRONG>" . $_SESSION['report_plus_LANGUAGE'] . "</STRONG></TD></TR>");
	print("</TABLE>");
}

print_header("Management");
if (!isset($_SESSION['id']) || ($_SESSION['id'] == "")) { // ログインしていない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('Please login first.');");
	print("</SCRIPT>");
} else if ($_SESSION['admin']==0) { // 管理者でない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('You are not an administrator.');");
	print("</SCRIPT>");
} else {
	print_headline("Environmental settings");
	print('<FORM method="POST" action="setup.php">');
	print("<CENTER>"); // センタリング
	print_title1("Settings");


	if (!isset($_POST['write'])) {  // 初期値設定
		$_SESSION['report_plus_MAX_FILESIZE']=$report_plus_MAX_FILESIZE;
		$_SESSION['report_plus_MAX_FILES']=$report_plus_MAX_FILES;
		$_SESSION['report_plus_COMMENT_ON']=$report_plus_COMMENT_ON;
		$_SESSION['report_plus_SCORE_ON']=$report_plus_SCORE_ON;
		$_SESSION['report_plus_NOTESCORE_ON']=$report_plus_NOTESCORE_ON;
		$_SESSION['report_plus_LANGUAGE']=$report_plus_LANGUAGE;
	}
	if (!isset($_POST['write']) || (jcode_convert($_POST['write']) == "Fix")) {
	print('<TABLE BORDER="1">');
	print('<TR><TH colspan="2">Report</TH></TR>');
	print('<TR><TD>File size limit：</TD><TD><INPUT type="text" name="LIMIT1" size="6" value="' . $_SESSION['report_plus_MAX_FILESIZE'] . '">kB</TD></TR>');
	print('<TR><TD>File amount you can upload for each time：</TD><TD><INPUT type="text" name="MAX_REP1" size="2" value="' . $_SESSION['report_plus_MAX_FILES'] . '">file(s)</TD></TR>');
	print('<TR><TD>Comment：</TD><TD><INPUT type="radio" name="report_plus_comment" value="1" ');
	if ($_SESSION['report_plus_COMMENT_ON'] == 1) print('CHECKED');
	print('>Use<INPUT type="radio" name="report_plus_comment" value="0" ');
	if ($_SESSION['report_plus_COMMENT_ON'] == 0) print('CHECKED');
	print('>Do not use</TD></TR>');
	print('<TR><TD>Show report marks：</TD><TD><INPUT type="radio" name="report_plus_score" value="1" ');
	if ($_SESSION['report_plus_SCORE_ON'] == 1) print('CHECKED');
	print('>Use<INPUT type="radio" name="report_plus_score" value="0" ');
	if ($_SESSION['report_plus_SCORE_ON'] == 0) print('CHECKED');
	print('>Do not use</TD></TR>');
	print('<TR><TD>Show lecture note marks：</TD><TD><INPUT type="radio" name="report_plus_note_score" value="1" ');
	if ($_SESSION['report_plus_NOTESCORE_ON'] == 1) print('CHECKED');
	print('>Use<INPUT type="radio" name="report_plus_note_score" value="0" ');
	if ($_SESSION['report_plus_NOTESCORE_ON'] == 0) print('CHECKED');
	print('>Do not use</TD></TR>');
	print('<TR><TD>Language：</TD><TD><INPUT type="text" name="report_plus_LANGUAGE" size="10" value="' . $_SESSION['report_plus_LANGUAGE'] . '"></TD></TR>');
	print('</TABLE>');
	print('<INPUT type="submit" name="write" value="Confirm">');
	print('<INPUT type="submit" name="reset" value="Reset">');
	} else if (jcode_convert($_POST['write']) == "Confirm") {
		print_message("Please check the changed settings below.");
		$_SESSION['report_plus_MAX_FILESIZE']=$_POST['LIMIT1'];
		$_SESSION['report_plus_MAX_FILES']=$_POST['MAX_REP1'];
		$_SESSION['report_plus_COMMENT_ON']=$_POST['report_plus_comment'];
		$_SESSION['report_plus_SCORE_ON']=$_POST['report_plus_score'];
		$_SESSION['report_plus_NOTESCORE_ON']=$_POST['report_plus_note_score'];
		$_SESSION['report_plus_LANGUAGE']=$_POST['report_plus_LANGUAGE'];
		print_param();   // 設定内容の表示
		print('<INPUT type="submit" name="write" value="Save">');
		print('<INPUT type="submit" name="write" value="Fix">');
		print('<INPUT type="submit" name="reset" value="Reset">');
	} else { // 保存
		$fp = fopen($iniFile, "w");
		fwrite($fp, "<?php\n");
		fwrite($fp, '$report_plus_MAX_FILESIZE = ' . $_SESSION['report_plus_MAX_FILESIZE'] . ";\n"); // ファイルサイズの上限
		fwrite($fp, '$report_plus_MAX_FILES = ' . $_SESSION['report_plus_MAX_FILES'] . ";\n");       // 一度に提出できるファイル数
		fwrite($fp, '$report_plus_COMMENT_ON = ' . $_SESSION['report_plus_COMMENT_ON'] . ";\n");     // コメント
		fwrite($fp, '$report_plus_SCORE_ON = ' . $_SESSION['report_plus_SCORE_ON'] . ";\n");         // レポート点表示
		fwrite($fp, '$report_plus_NOTESCORE_ON = ' . $_SESSION['report_plus_NOTESCORE_ON'] . ";\n"); // ノート点表示
		fwrite($fp, '$report_plus_LANGUAGE = "' . $_SESSION['report_plus_LANGUAGE'] . "\";\n");         // レポートの言語
		fwrite($fp, "?>\n");
		fclose($fp);
		print_message('Saved changes. Please logout to take effect.');
		print_param(); // 設定内容の表示
	}
	?>
	</CENTER>
	</FORM>
	<?php
} print_copyright();
?>
	</BODY>
	</HTML>